local kvs = ngx.shared.kvs
local body = ""
if ngx.req.get_method() == "GET" then
  local args = ngx.req.get_uri_args()
  body = kvs:get(args.key) or ""
elseif ngx.req.get_method() == "POST" then
  local args = ngx.req.get_post_args()
  kvs:set(args.key, args.value)
  ngx.status = ngx.HTTP_CREATED
elseif ngx.req.get_method() == "PUT" then
  local args = ngx.req.get_uri_args()
  kvs:set(args.key, ngx.req.get_body_data())
elseif ngx.req.get_method() == "DELETE" then
  local args = ngx.req.get_uri_args()
  kvs:delete(args.key)
end
ngx.header["Content-Length"] = #body
ngx.say(body)
